Calculate redemption values for a requested (draft) transaction
POST
/portfolio/transactions/form-calculations/request-redemption-valuesComputes unit-based redemption values for a single investor on an asset, used when an investor or internal user is drafting a redemption request.
Request body
application/json, required · PortfolioFormCalculateRequestRedemptionValuesRequest
{
"asset_id": 1,
"investor_id": 1,
"total_value": 1,
"number_of_units": 1,
"held_at": "2026-06-12T10:00:00+00:00"
}Responses
200
{
"currentUnitsOwned": "string",
"currentUnitPrice": "string",
"currentValue": "string",
"remainingUnitsOwned": "string",
"remainingValue": "string",
"totalValue": "string",
"numberOfUnits": "string",
"pendingValue": "string",
"pendingUnits": "string"
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/form-calculations/request-redemption-values\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"investor_id": 1,
"total_value": 1,
"number_of_units": 1,
"held_at": "2026-06-12T10:00:00+00:00"
}'